"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

/**
 * extends eslint-config-fbjs, eslint-config-google, eslint-config-prettier
 * repo: https://github.com/facebook/fbjs/tree/master/packages/eslint-config-fbjs
 *       https://github.com/google/eslint-config-google
 *       https://github.com/prettier/eslint-config-prettier
 */
var _default = {
  "extends": ['fbjs/strict', 'google', 'plugin:prettier/recommended', 'prettier/flowtype', 'prettier/standard'],
  rules: {
    'arrow-parens': ['error', 'as-needed'],
    'arrow-body-style': ['error', 'as-needed'],
    'default-case': 'error',
    'no-shadow': 'error',
    'no-warning-comments': ['warn', {
      terms: ['todo', 'fixme'],
      location: 'anywhere'
    }],
    // FIXME: remove when eslint upgrade
    'no-invalid-this': 'off',
    'babel/no-invalid-this': 'error',
    'prefer-destructuring': 'error',
    strict: ['error', 'never'],
    // FIXME: remove after eslint remove
    'valid-jsdoc': 'off',
    'require-jsdoc': 'off'
  }
};
exports["default"] = _default;
module.exports = exports.default;